# -*- encoding: utf-8 -*-
$:.push File.expand_path(File.join('..', 'lib'), __FILE__)
require 'esteem/metadata'

Gem::Specification.new do |s|
  s.name        = 'esteem'
  s.version     = Esteem::VERSION
  s.platform    = Gem::Platform::RUBY
  s.author      = Esteem::AUTHOR
  s.license     = Esteem::LICENSE
  s.homepage    = Esteem::HOMEPAGE
  s.email       = Esteem::EMAIL
  s.summary     = Esteem::SUMMARY
  s.description = Esteem::SUMMARY + '.'

  s.add_runtime_dependency 'thor', '~> 0'
  s.add_runtime_dependency 'slog', '~> 1.1'
  s.add_runtime_dependency 'oj', '~> 2.11'
  s.add_runtime_dependency 'curb', '~> 0.8'
  s.add_runtime_dependency 'rest-client', '~> 1.7'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File::basename(f) }
  s.require_paths = %w[ lib ]
end